# Interface CppTestSuite

All Superinterfaces:
  `CppComponent, Named, SoftwareComponent`

@Incubating public interface CppTestSuite extends CppComponent
A C++ test suite.

Since:
  4.4

## Nested Class Summary

### Nested classes/interfaces inherited from interface Named

`Named.Namer`

## Method Summary

Modifier and Type
Method
Description
`CppExecutable`
`getDevelopmentBinary()`
Returns the binary of the component to use as the default for development.
`CppExecutable`
`getTestExecutable()`
Returns the executable that will be executed to run the tests.

### Methods inherited from interface CppComponent

`getBaseName, getCppSource, getHeaderFiles, getImplementationDependencies, getPrivateHeaderDirs, getPrivateHeaders, getSource, privateHeaders, source`

### Methods inherited from interface Named

`getName`

## Method Details

### getDevelopmentBinary

CppExecutable getDevelopmentBinary()
Returns the binary of the component to use as the default for development.

For test suites, this is the test executable binary.

Specified by:
  `getDevelopmentBinary` in interface `CppComponent`

### getTestExecutable

CppExecutable getTestExecutable()
Returns the executable that will be executed to run the tests.

Since:
  4.4